【万分火急】新版本mui的BUG,产品上线前发现,求救

之前我提到过,popover层如果有radio单选框时,会有BUG,昨天新版本更新后,问题解决了。

项目很赶,今天要发版本,最后测试时,发现,项目用的旧版本mui.js替换成新版本的mui.js后,发现一个问题,直接影响到上线。

问题是这样,popover层中如果有列表时,在手机上测试直接是滚动不了的。浏览器显示警告:

“Ignored attempt to cancel a touchmove event with cancelable=false, for example because scrolling is in progress and cannot be interrupted. ”

因为旧版本的mui.js也存在着popover层中单选框的问题,目前也无法使用旧版本的mui.js。

程序员最不想看到的就是产品上线前出问题,求大神们帮忙看看,谢谢了



2015-01-06 20:03 添加评论 分享
已邀请:
1

DCloud_MUI_FXY

赞同来自: hilongjw

在popover中使用我们的scroll控件来实现滚动。
可以参考hello-mui中popover的演示代码。


0

zyhu688@foxmail.com

赞同来自:

在pulluprefresh中也存在这种情况,关注中。。。另外,pulluprefresh带ajax时卡得拉不动呀,有什么办法能解决?真不行只能用pagination按钮手动翻页了


0

诗小柒

赞同来自:

给外层加 overflow-y: auto;


0

DCloud_MUI_CHB

赞同来自:

将你的popover代码包裹在如下dom结构中:

<div id="popover" class="mui-popover">
<div class="mui-popover-arrow"></div>
<div class="mui-scroll-wrapper">
<div class="mui-scroll">
...popover要展示的具体内容
</div>
</div>
</div>
\n

另外,调用一下js,支持区域滚动:

mui('.mui-scroll-wrapper').scroll();
\n

要回复问题请先登录注册

退出全屏模式 全屏模式 回复